import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { AppComponent } from './app.component';
import { OrganizationsComponent } from './components/organizations/list/organizations.component';
import { OrganizationService } from './services/organization.service';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { HttpClientModule } from '@angular/common/http';
import { RouterModule } from '@angular/router';
import { MenuComponent } from './components/menu/menu.component';
import { AppRoutingModule } from './app.routing.module';
import { WelcomeComponent } from './components/welcome/welcome.component';
import { OrganizationDetailComponent } from './components/organizations/detail/organization-detail.component';
import { OrganizationFormComponent } from './components/organizations/edit/organization-form.component';
import { PaginatorComponent } from './components/paginator/paginator.component';
import { ResourcesComponent } from './components/resources/list/resources.component';
import { ResourceService } from './services/resource.service';
import { ResourceFormComponent } from './components/resources/edit/resource-form.component';
import { ResourceDetailComponent } from './components/resources/detail/resource-detail.component';

@NgModule({
  declarations: [
    AppComponent,
    OrganizationsComponent,
    PaginatorComponent,
    OrganizationDetailComponent,
    OrganizationFormComponent,
    MenuComponent,
    WelcomeComponent,
    ResourcesComponent,
    ResourceFormComponent,
    ResourceDetailComponent,
  ],
  imports: [
    AppRoutingModule,
    BrowserModule,
    FormsModule,
    RouterModule,
    BrowserAnimationsModule,
    HttpClientModule,
    ReactiveFormsModule,
  ],
  providers: [
    OrganizationService,
    ResourceService,
  ],
  bootstrap: [AppComponent]
})
export class AppModule { }
