import { WelcomeComponent } from './components/welcome/welcome.component';
import { RouterModule, Routes } from '@angular/router';
import { OrganizationsComponent } from './components/organizations/list/organizations.component';
import { NgModule } from '@angular/core';
import { OrganizationDetailComponent } from './components/organizations/detail/organization-detail.component';
import { OrganizationFormComponent } from './components/organizations/edit/organization-form.component';
import { ResourcesComponent } from './components/resources/list/resources.component';
import { ResourceFormComponent } from './components/resources/edit/resource-form.component';
import { ResourceDetailComponent } from './components/resources/detail/resource-detail.component';


const appRoutes: Routes = [
  {
    path: '',
    component: WelcomeComponent,
    data: {
      title: 'Bienvenue',
    },
  },
  {
    path: 'organizations',
    component: OrganizationsComponent,
    data: {
      title: 'Organisations',
    },
  },
  {
    path: 'organizations/new',
    component: OrganizationFormComponent,
    data: {
      title: 'Nouvelle organisation',
    },
  },
  {
    path: 'organizations/:id/edit',
    component: OrganizationFormComponent,
    data: {
      title: 'Modifier l\'organisation',
    },
  },
  {
    path: 'organizations/:id',
    component: OrganizationDetailComponent,
    data: {
      title: 'Organisation',
    },
  },
  {
    path: 'resources',
    component: ResourcesComponent,
    data: {
      title: 'Ressources',
    },
  },
  {
    path: 'resources/new',
    component: ResourceFormComponent,
    data: {
      title: 'Nouvelle ressource',
    },
  },
  {
    path: 'resources/:id/edit',
    component: ResourceFormComponent,
    data: {
      title: 'Modifier la ressource',
    },
  },
  {
    path: 'resources/:id',
    component: ResourceDetailComponent,
    data: {
      title: 'Ressource',
    },
  },
];

@NgModule({
  imports: [
    RouterModule.forRoot(appRoutes),
  ],
  exports: [
    RouterModule,
  ],
  providers: [
  ],
})
export class AppRoutingModule {}
